package io.reactivex.internal.util;

import java.util.concurrent.atomic.AtomicReference;

public final class AtomicThrowable extends AtomicReference<Throwable> {
    public static final long serialVersionUID = 3949248817947090603L;

    public boolean addThrowable(Throwable th) {
        return ExceptionHelper.m1957(this, th);
    }

    public boolean isTerminated() {
        return get() == ExceptionHelper.f3444;
    }

    public Throwable terminate() {
        return ExceptionHelper.m1956(this);
    }
}
